-- #102
CREATE TABLE taxareaus (
     taxareausid          integer  not null
,    taxmatrixusid        integer  not null
,    presenceaddressid    integer  null

,   constraint pk_taxareaus                     primary key (taxareausid)
,   constraint fk_taxareaus_taxareausid         foreign key (taxareausid)
        references object                           (objectid)
,   constraint fk_taxareaus_taxmatrixusid       foreign key (taxmatrixusid)
        references taxmatrixus                      (taxmatrixusid)
,   constraint fk_taxareaus_presenceaddressid   foreign key (presenceaddressid)
        references address                          (addressid)
)
GO
CREATE INDEX i_taxareaus_matrix ON taxareaus (taxmatrixusid)
GO
CREATE INDEX i_taxareaus_presenceaddress ON taxareaus (presenceaddressid)
GO
